'use strict';

exports.__esModule = true;
exports.default = onBlurOnly;

var _utils = require('../utils');

var formUtils = _interopRequireWildcard(_utils);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function onBlurOnly(context, field, data, statuses, e) {
  if (!e || e.type === 'blur') {
    var validationState = formUtils.normalizeValidationResults(field.validate, data.value, context.props);

    if (!validationState.valid) {
      validationState.status = validationState.status || statuses.error;
    } else if (data.value) {
      validationState.status = validationState.status || statuses.success;
    }

    return validationState;
  }

  return {};
}