'use strict';

exports.__esModule = true;
exports.applyStrategy = applyStrategy;

var _utils = require('../utils');

var formUtils = _interopRequireWildcard(_utils);

var _strategies = require('../strategies');

var _strategies2 = _interopRequireDefault(_strategies);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function applyStrategy(context, field, data, e) {
  var _ref;

  var props = context.props;


  var feedbackStrategy = formUtils.getStrategy(context, field);
  var statuses = formUtils.getDefaultStatuses(props);

  var stateKey = formUtils.buildFieldValidationStateId(data.fieldId);
  var strategy = _strategies2.default[feedbackStrategy];
  var validationState = strategy(context, field, data, statuses, e);

  return _ref = {}, _ref[stateKey] = validationState, _ref;
}