'use strict';

exports.__esModule = true;
exports.bindToContext = bindToContext;

var _utils = require('../utils');

var formUtils = _interopRequireWildcard(_utils);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function bindToContext(context) {
  for (var _len = arguments.length, methods = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
    methods[_key - 1] = arguments[_key];
  }

  formUtils.fetchArgsArray(methods).forEach(function (method) {
    context[method] = context[method].bind(context);
  });
}