'use strict';

exports.__esModule = true;
exports.getFieldDomIdFromKeyPath = getFieldDomIdFromKeyPath;

var _utils = require('../utils');

var formUtils = _interopRequireWildcard(_utils);

var _formConstants = require('../enums/formConstants');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function getFieldDomIdFromKeyPath(singleDataSource, keyPath, suffix) {
  var baseDomId = formUtils.getFieldIdFromKeyPath(singleDataSource, keyPath).split(_formConstants.formConstants.FIELD_ID_DELIMITER).join(_formConstants.formConstants.FIELD_DOM_ID_DELIMITER);

  return suffix ? '' + baseDomId + _formConstants.formConstants.FIELD_DOM_ID_DELIMITER + suffix : baseDomId;
}