'use strict';

exports.__esModule = true;
exports.getFieldIdFromKeyPath = getFieldIdFromKeyPath;

var _utils = require('../utils');

var formUtils = _interopRequireWildcard(_utils);

var _formConstants = require('../enums/formConstants');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function getFieldIdFromKeyPath(singleDataSource, keyPath) {
  var fieldIdKeyPath = formUtils.fetchArgsArray(keyPath);

  var idParts = singleDataSource && fieldIdKeyPath[0] !== singleDataSource ? [singleDataSource].concat(fieldIdKeyPath) : fieldIdKeyPath;

  return idParts.join(_formConstants.formConstants.FIELD_ID_DELIMITER);
}