'use strict';

exports.__esModule = true;
exports.parseFieldId = parseFieldId;

var _formConstants = require('../enums/formConstants');

function parseFieldId(id) {
  var parsedId = id.split(_formConstants.formConstants.FIELD_ID_DELIMITER);
  var isMultiEntities = parsedId.length === 3;

  if (isMultiEntities) {
    return {
      fieldId: id,
      dataKey: parsedId[0],
      entityId: parsedId[1],
      attr: parsedId[2]
    };
  }

  return {
    fieldId: id,
    dataKey: parsedId[0],
    attr: parsedId[1]
  };
}