'use strict';

exports.__esModule = true;
exports.getFieldIdParts = getFieldIdParts;

var _utils = require('../utils');

var formUtils = _interopRequireWildcard(_utils);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function getFieldIdParts(props, field) {
  var dataKey = field.dataKey || props.dataKey;
  var entity = props[dataKey];

  var entityId = props.isMultiEntities ? formUtils.fetchProp(entity, 'id') : null;

  var attr = field.attr;


  return { dataKey: dataKey, entity: entity, entityId: entityId, attr: attr };
}