'use strict';

exports.__esModule = true;
exports.getStrategy = getStrategy;

var _feedbackStrategies = require('../enums/feedbackStrategies');

function getStrategy(context, field) {
  if (context.formWasSubmitted) {
    return _feedbackStrategies.feedbackStrategies.ON_SUBMIT;
  }

  if (context.bluredFields[field.attr]) {
    return _feedbackStrategies.feedbackStrategies.INSTANT;
  }

  return field.feedbackStrategy || context.props.feedbackStrategy || _feedbackStrategies.feedbackStrategies.ON_SUBMIT;
}