'use strict';

exports.__esModule = true;
exports.resetState = resetState;

var _utils = require('../utils');

var formUtils = _interopRequireWildcard(_utils);

var _formConstants = require('../enums/formConstants');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function resetState(state, nextFormFieldsData) {
  var nextState = Object.assign({}, state);

  for (var _iterator = Object.keys(nextState), _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _iterator[Symbol.iterator]();;) {
    var _ref;

    if (_isArray) {
      if (_i >= _iterator.length) break;
      _ref = _iterator[_i++];
    } else {
      _i = _iterator.next();
      if (_i.done) break;
      _ref = _i.value;
    }

    var stateKey = _ref;

    var _formUtils$parseField = formUtils.parseFieldStateId(stateKey);

    var dataType = _formUtils$parseField.dataType;


    if (dataType === _formConstants.formConstants.FIELD_VALIDATION_STATE_ID_PREFIX) {
      nextState[stateKey] = {};
    }
  }

  Object.assign(nextState, nextFormFieldsData);

  return nextState;
}