"use strict";

exports.__esModule = true;
exports.singleDataSource = singleDataSource;
function singleDataSource(props) {
  var dataKeys = [];

  if (props.dataKey) {
    dataKeys.push(props.dataKey);
  }

  for (var _iterator = props.fields, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _iterator[Symbol.iterator]();;) {
    var _ref;

    if (_isArray) {
      if (_i >= _iterator.length) break;
      _ref = _iterator[_i++];
    } else {
      _i = _iterator.next();
      if (_i.done) break;
      _ref = _i.value;
    }

    var field = _ref;

    if (field.dataKey && !dataKeys.includes(field.dataKey)) {
      dataKeys.push(field.dataKey);
    }

    if (dataKeys.length > 1) return false;
  }

  return dataKeys[0];
}